summaryrefslogtreecommitdiffstats
path: root/libraries/libcurl-gnutls
diff options
context:
space:
mode:
author marav2022-05-28 03:22:01 +0200
committer Willy Sudiarto Raharjo2022-05-28 04:11:40 +0200
commitbb9599c4e2beac7dfd442db8265c089b0ace5f88 (patch)
tree111a5854203608eb19b8b7704053ddfdbba45f66 /libraries/libcurl-gnutls
parentad89edcfe3d96c35d6f595941818e326b42e50ef (diff)
downloadslackbuilds-bb9599c4e2beac7dfd442db8265c089b0ace5f88.tar.gz
libraries/libcurl-gnutls: Added (libcurl linked against gnutls)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libcurl-gnutls')
-rw-r--r--libraries/libcurl-gnutls/README5
-rw-r--r--libraries/libcurl-gnutls/libcurl-gnutls.SlackBuild136
-rw-r--r--libraries/libcurl-gnutls/libcurl-gnutls.info10
-rw-r--r--libraries/libcurl-gnutls/slack-desc19
4 files changed, 170 insertions, 0 deletions
diff --git a/libraries/libcurl-gnutls/README b/libraries/libcurl-gnutls/README
new file mode 100644
index 0000000000..d4a5ef43e2
--- /dev/null
+++ b/libraries/libcurl-gnutls/README
@@ -0,0 +1,5 @@
+libcurl-gnutls (An URL retrieval library linked against gnutls)
+
+An URL retrieval library (linked against gnutls)
+
+
diff --git a/libraries/libcurl-gnutls/libcurl-gnutls.SlackBuild b/libraries/libcurl-gnutls/libcurl-gnutls.SlackBuild
new file mode 100644
index 0000000000..d0a1d94755
--- /dev/null
+++ b/libraries/libcurl-gnutls/libcurl-gnutls.SlackBuild
@@ -0,0 +1,136 @@
+#!/bin/bash
+#
+# Slackware build script for libcurl-gnutls
+#
+# Copyright 2020-2022 Corrado Franco (https://corradofranco.it)
+# Copyright 2022 marav Paris, France
+# All rights reserved.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+#
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=libcurl-gnutls
+PKGNAM=curl
+VERSION=${VERSION:-7.83.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+TMP=${TMP:-/tmp/pkg}
+PKG=$TMP/package-$PKGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z ${ARCH:=""} ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i686 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC -pipe -fomit-frame-pointer"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz
+cd $PKGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+LDFLAGS="-L/usr/lib$LIBDIRSUFFIX" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --enable-shared=yes \
+ --disable-manual \
+ --without-libssh2 \
+ --without-gssapi \
+ --without-ca-bundle \
+ --with-ca-path=/etc/ssl/certs \
+ --with-gnutls="/usr" \
+ --host=$ARCH-slackware-linux \
+ --build=$ARCH-slackware-linux
+
+make -C lib
+make -C lib DESTDIR=$PKG install
+
+CURLLIB=$(echo $PKG/usr/lib$LIBDIRSUFFIX/libcurl.so.4.?.? | cut -d. -f3-)
+
+mv ${PKG}/usr/lib${LIBDIRSUFFIX}/libcurl{,-gnutls}.so.$CURLLIB
+rm ${PKG}/usr/lib${LIBDIRSUFFIX}/libcurl.so*
+for VERSIONLIB in 3 4 4.0.0 4.1.0 4.2.0 4.3.0 4.4.0 4.5.0 4.6.0; do
+ ln -s libcurl-gnutls.so.$CURLLIB $PKG/usr/lib${LIBDIRSUFFIX}/libcurl-gnutls.so.${VERSIONLIB}
+done
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs -r strip --strip-unneeded 2> /dev/null || true
+find $PKG | xargs file | grep "current ar archive" | cut -f 1 -d : | xargs -r strip -g 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+
+cp -a COPYING* README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/libcurl-gnutls/libcurl-gnutls.info b/libraries/libcurl-gnutls/libcurl-gnutls.info
new file mode 100644
index 0000000000..258ac1e788
--- /dev/null
+++ b/libraries/libcurl-gnutls/libcurl-gnutls.info
@@ -0,0 +1,10 @@
+PRGNAM="libcurl-gnutls"
+VERSION="7.83.1"
+HOMEPAGE="https://curl.haxx.se"
+DOWNLOAD="http://ftp.slackware.com/pub/slackware/slackware64-15.0/patches/source/curl/curl-7.83.1.tar.xz"
+MD5SUM="08c6d9c25d9cf8d17be28363753e42ca"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="marav"
+EMAIL="marav8@free.fr"
diff --git a/libraries/libcurl-gnutls/slack-desc b/libraries/libcurl-gnutls/slack-desc
new file mode 100644
index 0000000000..9402edfe8b
--- /dev/null
+++ b/libraries/libcurl-gnutls/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libcurl-gnutls: libcurl-gnutls (An URL retrieval library linked against gnutls)
+libcurl-gnutls:
+libcurl-gnutls: An URL retrieval library (linked against gnutls)
+libcurl-gnutls:
+libcurl-gnutls:
+libcurl-gnutls:
+libcurl-gnutls:
+libcurl-gnutls:
+libcurl-gnutls:
+libcurl-gnutls:
+libcurl-gnutls: